#!/bin/sh
LOGFILE=/tmp/usb-events.log
exec 3>> $LOGFILE && exec >& 3 && exec 2>&1
date
echo $1, $2, $SUBSYSTEM, $ACTION
echo ~~~~~~~~~~~~~~~~~~~~~~~~~~

if [[ "$SUBSYSTEM" = "block" ]] && [[ "$ACTION" = "add" ]]
then
	mkdir -p /media/$1
	ntfs-3g /dev/$1 /media/$1 -o nls=utf8
	if [ $? -eq 0 ]
	then
		echo USE ntfs-3g
	else
		mount /dev/$1 /media/$1 -o iocharset=utf8
           	if [ $? -eq 0 ]
                then 
                        echo USE fat
                else 
                        echo $1 > /etc/udev/exfat.txt 
                        PID=`pgrep "update_server"`
                        kill -10 $PID
                fi 
	fi
elif [[ "$SUBSYSTEM" = "block" ]] && [[ "$ACTION" = "remove" ]]
then
	umount /media/$1
	rm -r /media/$1
fi

exit $?
