echo Setup NIC...
. /root/nic.sh

cd /root/ko
./load3531a -i -osmem 1024
insmod hi_rtc.ko
insmod wdt.ko
insmod ntfs.ko
insmod mmtimer2.ko

#check upgrade
if [ -e /root/tmp/sys_upgrade.sh ]                                          
then
   /root/tmp/sys_upgrade.sh
fi

echo Mount RAM disk...
mkdir /tmp/ramdisk
chmod 1777 /tmp/ramdisk
mount -t tmpfs -o size=128M tmpfs /tmp/ramdisk

#echo Start Telnet daemon...
#telnetd &

echo Timezone Setting...
if [ -e /root/etc/timezone.sh ]
then
   source /root/etc/timezone.sh
else
   export TZ=UTC-8
fi

export QCAP_HOME=/root/qcap
export QT_HOME=/root/qt
export LD_LIBRARY_PATH=/root/lib:$QT_HOME/lib:$QCAP_HOME/lib
export QT_QPA_FONTDIR=$QT_HOME/lib/fonts
export QT_QPA_PLATFORM_PLUGIN_PATH=$QT_HOME/plugins/platforms
export QT_QPA_PLATFORM=linuxfb:fb=/dev/fb0
export LOGNAME=root
export QCAP_RTSP_SERVER_BUFFER_COUNT=8
export QCAP_FILEMUXER_ASYNC_CLOSE=1

cd /etc/ifplugd
ifplugd -i eth0 -a 

echo Start Lighttp daemon...
/root/sbin/lighttpd -f /root/var/lighttpd.conf -m /root/lib &

# echo Start NTP daemon...
# ntpd -dp pool.ntp.org &


for element in sda1 sdb1 sdc1
do
    
    if hdparm -I /dev/$element | grep Checksum                         
    then                       
        echo "init.sh : $1 is SATA"
        mount_ptr=$element                                      
    else                        
        echo "init.sh : $1 is USB"
        mount_ptr=usb                            
    fi

    echo $element
    df | grep /dev/$element
    if [ $? -eq 1 ]
    then
        if [ -e /dev/$element ]                                          
        then
            mkdir -p /media/$mount_ptr
            ntfs-3g /dev/$element /media/$mount_ptr -o rw,nls=utf8,big_writes
    
            if [ $? -eq 0 ]
            then
                echo USE ntfs-3g
                echo "1" > /etc/udev/format_$mount_ptr
            else
                mount /dev/$element /media/$mount_ptr -o iocharset=utf8
                if [ $? -eq 0 ]
                then
                    echo USE fat
                    echo "0" > /etc/udev/format_$mount_ptr
                else
                    EXFAT=1
                    echo $element > /etc/udev/exfat.txt             
                    echo "2" > /etc/udev/format_$mount_ptr
                fi                 
            fi
        else
            echo "device not found."
        fi   
    else
        echo "device already mount by system."
    fi    
done               

sleep 1

echo Load RTC...
/root/bin/rtc_test -L
date
         
cd /root/bin                                                    
./hictl --daemon                                             
                                                             
sleep 2                                                           

if [ -f /root/etc/enable_io_test ];                              
then                                                             
    ./io_test &                                                  
    rm /root/etc/enable_io_test                                  
else                                                             
    ./update_server &                                            
    if [ $EXFAT -eq 1 ]
        sleep 2
        PID=`pgrep "update_server"`
        kill -10 $PID
    then
        echo "Nothing"
    fi

    sleep 5

    /root/bin/watchdog &    
fi 

sleep 5  

# For mobile APP
cp /etc/ver_info /root/var/www/public/fw_version
cp /root/etc/mac.cfg /root/var/www/public/macAddress
hostname `cat /root/etc/mac.cfg`

sync;

# For mobile app to detect device 
sleep 10  

./mDNSd 

