#!/bin/sh
LOGFILE=/tmp/usb-events.log
exec 3>> $LOGFILE && exec >& 3 && exec 2>&1
date
echo $1, $2, $SUBSYSTEM, $ACTION
echo ~~~~~~~~~~~~~~~~~~~~~~~~~~

if [[ "$SUBSYSTEM" = "block" ]] && [[ "$ACTION" = "add" ]]
then

    if hdparm -I /dev/$1 | grep correct      
    then                                                     
        echo "disk info : $1 is SATA" > /root/usb_log.txt              
    else                                    
        echo "disk info : $1 is USB, System will skip" > /root/usb_log.txt         
        return
    fi

    mkdir -p /media/$1
    ntfs-3g /dev/$1 /media/$1 -o rw,nls=utf8,big_writes
    if [ $? -eq 0 ]
    then
        echo "1" > /etc/udev/format_$1
        echo USE ntfs-3g
    else
        mount /dev/$1 /media/$1 -o iocharset=utf8
        if [ $? -eq 0 ]
            then 
                echo "0" > /etc/udev/format_$1
                echo USE fat
            else 
            echo $1 > /etc/udev/exfat.txt 
            PID=`pgrep "update_server"`
            kill -10 $PID
            echo "2" > /etc/udev/format_$1
        fi 
    fi
elif [[ "$SUBSYSTEM" = "block" ]] && [[ "$ACTION" = "remove" ]]
then
    umount /media/$1
    rm -r /media/$1
    rm -r /etc/udev/format_$1
fi

exit $?
