# Get software version
LOG_FILE="/root/var/www/update.log"
echo "" >> $LOG_FILE
echo "" >> $LOG_FILE
echo "" >> $LOG_FILE
date >> $LOG_FILE

hd_ver=`cat /etc/board_info`
sw_ver=`cat /etc/ver_info`

echo $hd_ver >> $LOG_FILE
echo $sw_ver >> $LOG_FILE


cp -f /root/tmp/identity_info /etc/
cp -f /root/tmp/ver_info /etc
cp -f /root/tmp/disk-hotplug.sh /etc/udev

# Check Uboot version
echo "----- Check Uboot Version -----" >> $LOG_FILE
boot_ver=`cmp /dev/mtd0 /root/tmp/boot | grep diff`

if [ ${#boot_ver} -ge 1 ]
then
    echo "Uboot was updated successfully" >> $LOG_FILE
    cat /root/tmp/boot > /dev/mtdblock0
    sleep 1
    sync;
    sleep 1
    reboot    
else
    echo "Uboot version already is latest" >> $LOG_FILE
fi

# Check Kernel version
echo "----- Check Kernel Version -----" >> $LOG_FILE

ker_ver=`uname -a | grep "Thu Jul 4 13:23:41 CST 2019"`
echo $ker_ver >> $LOG_FILE

if [ ${#ker_ver} -ge 1 ]
then
   echo "Kernel version already is latest" >> $LOG_FILE
   rm -rf /root/tmp   
   sync;
else
   /root/sbin/chkernel /root/tmp/kernel.img >> $LOG_FILE
   echo "Kernel was updated successfully" >> $LOG_FILE
   rm -rf /root/tmp
   sleep 1
   sync;
   sleep 1
   reboot
fi

